### Parameters

`CFG : InferModules.ProcCfg.S`

### Signature

`module CFG = CFG`
`module Domain = Domain`
`type extras``= InferModules.ProcData.no_extras```
`val exp_add_live : InferIR.Exp.t ‑> Domain.t ‑> Domain.t`

add all of the vars read in `exp` to the live set

`val add_live_actuals : (InferIR.Exp.t * 'a) InferStdlib.IStd.List.t ‑> InferIR.Exp.t ‑> Domain.t ‑> Domain.t`
`val exec_instr : Domain.t ‑> 'a ‑> 'b ‑> InferIR.Sil.instr ‑> Domain.t`
`val pp_session_name : CFG.Node.t ‑> F.formatter ‑> unit`